unit Unit1;
 
interface
 
uses
  OurNSHandler, 
  Classes, Windows, Messages, SysUtils, Graphics, 
  Controls, Forms, Dialogs, Activex, urlMon, StdCtrls, 
  OleCtrls, SHDocVw, ComCtrls;
 
type
  TForm1 = class(TForm)
    Button1: TButton;
    WebBrowser1: TWebBrowser;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);

    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
 
var
  Form1: TForm1;
 
implementation
 
{$R *.DFM}
{$R Demo.res}
var
  Factory: IClassFactory;
  InternetSession: IInternetSession;
 
{------------------------------------------------------------------------------}
procedure TForm1.Button1Click(Sender: TObject);
var
Url : Widestring;
v : OleVariant;
begin
  Url:='http://testprogram/CH11.mht';
  webbrowser1.navigate(Url ,v,v,v,v);
end;
{------------------------------------------------------------------------------}
procedure TForm1.Button2Click(Sender: TObject);
var
Url : Widestring;
v : OleVariant;
begin
  Url:='http://testprogram/CH53.mht';
  webbrowser1.navigate(Url ,v,v,v,v);
end;
{------------------------------------------------------------------------------}
procedure TForm1.Button3Click(Sender: TObject);
var
 rStream: TResourceStream;
 fStream: TFileStream;
 fname: string;
begin
 {this part extracts the mp3 from exe}
 fname := 'Ch11.mht';
 rStream := TResourceStream.Create(hInstance, 'CH11', RT_RCDATA) ;
 try
  fStream := TFileStream.Create(fname, fmCreate) ;
  try
   fStream.CopyFrom(rStream, 0) ;
  finally
   fStream.Free;
  end;
 finally
  rStream.Free;
 end;
 Webbrowser1.Navigate(ExtractFileDir(Paramstr(0))+'\Ch11.mht');
end;
{------------------------------------------------------------------------------}
procedure TForm1.Button4Click(Sender: TObject);
var
 rStream: TResourceStream;
 fStream: TFileStream;
 fname: string;
begin
 {this part extracts the mp3 from exe}
 fname := 'Ch53.mht';
 rStream := TResourceStream.Create(hInstance, 'CH53', RT_RCDATA) ;
 try
  fStream := TFileStream.Create(fname, fmCreate) ;
  try
   fStream.CopyFrom(rStream, 0) ;
  finally
   fStream.Free;
  end;
 finally
  rStream.Free;
 end;
 Webbrowser1.Navigate(ExtractFileDir(Paramstr(0))+'\Ch53.mht');
end;
{------------------------------------------------------------------------------}
procedure TForm1.FormCreate(Sender: TObject);
begin
  CoGetClassObject(Class_OurNSHandler, CLSCTX_SERVER, 
                   nil, IClassFactory, Factory);
  CoInternetGetSession(0, InternetSession, 0);
  InternetSession.RegisterNameSpace(Factory,  
           Class_OurNSHandler, 'http', 0, nil, 0);
end;
 
procedure TForm1.FormDestroy(Sender: TObject);
begin
  InternetSession.UnregisterNameSpace(Factory, 'http');
end;
 

 
end.

